Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChangePhoneNumber

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.AuthenticationCodeInfo>
it.tdlight.jni.TdApi.ChangePhoneNumber

Enclosing class:
  TdApi

public static final class TdApi.ChangePhoneNumber extends TdApi.Function<TdApi.AuthenticationCodeInfo>
Changes the phone number of the user and sends an authentication code to the user's new phone number. On success, returns information about the sent code.

Returns `AuthenticationCodeInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`phoneNumber`
The new phone number of the user in international format.
`TdApi.PhoneNumberAuthenticationSettings`
`settings`
Settings for the authentication of the user's phone number; pass null to use default settings.

## Constructor Summary

Constructors
Constructor
Description
`ChangePhoneNumber()`
Changes the phone number of the user and sends an authentication code to the user's new phone number.
`ChangePhoneNumber(DataInput input)`
Changes the phone number of the user and sends an authentication code to the user's new phone number.
`ChangePhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
Changes the phone number of the user and sends an authentication code to the user's new phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### phoneNumber

public String phoneNumber
The new phone number of the user in international format.

### settings

public TdApi.PhoneNumberAuthenticationSettings settings
Settings for the authentication of the user's phone number; pass null to use default settings.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChangePhoneNumber

public ChangePhoneNumber()
Changes the phone number of the user and sends an authentication code to the user's new phone number. On success, returns information about the sent code.

Returns `AuthenticationCodeInfo`

### ChangePhoneNumber

public ChangePhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)
Changes the phone number of the user and sends an authentication code to the user's new phone number. On success, returns information about the sent code.

Returns `AuthenticationCodeInfo`

Parameters:
  `phoneNumber` - String The new phone number of the user in international format.
  `settings` - PhoneNumberAuthenticationSettings Settings for the authentication of the user's phone number; pass null to use default settings.

### ChangePhoneNumber

public ChangePhoneNumber(DataInput input) throws IOException
Changes the phone number of the user and sends an authentication code to the user's new phone number. On success, returns information about the sent code.

Returns `AuthenticationCodeInfo`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`